> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取高级 Google 酒店信息结果

> 高级 Google 酒店信息将为您提供特定酒店实体在 [Google Hotels](http://www. 上可用的结构化数据



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/hotel_info/task_get/advanced/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/hotel_info/task_get/advanced/{id}:
    get:
      summary: 按 id 获取高级 Google 酒店信息结果
      description: >-
        Advanced Google Hotel Info 将为你提供 [Google
        Hotels](http://www.google.com/travel/hotels)
        平台上特定酒店实体的结构化数据，例如服务描述、位置详情、评分、设施、评价、图片、价格等。
      operationId: get_dataforseo_business_data_google_hotel_info_task_get_advanced_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **本系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；你可以在 **30 天内**随时使用它请求任务结果。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.hotel_identifier:
                    type: string
                    description: >-
                      *唯一酒店标识符* 此字段将包含 `hotel_identifier`
                      参数；示例：`CgoI-KWyzenM_MV3EAE`
                  result.location_code:
                    type: integer
                    description: '*POST 数组中的位置代码*'
                  result.language_code:
                    type: string
                    description: '*POST 数组中的语言代码*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.title:
                    type: string
                    description: '*报价标题*'
                  result.stars:
                    type: integer
                    description: '*酒店星级* 介于 1 至 5 星之间，显示在酒店摘要中的评论评分之后'
                  result.stars_description:
                    type: string
                    description: '*酒店星级* 介于 1 至 5 星之间的星级，显示在酒店摘要中的评价评分之后'
                  result.address:
                    type: string
                    description: '*酒店地址* 酒店的实际地址'
                  result.phone:
                    type: string
                    description: '*酒店电话号码* 酒店的联系电话'
                  result.about:
                    type: object
                    description: '*酒店信息*'
                  result.description:
                    type: string
                    description: '*酒店描述* 收集结果所对应酒店实体的描述'
                  result.sub_descriptions:
                    type: array
                    items:
                      type: string
                    description: '*酒店的附加描述* 除酒店描述外提供的酒店详细信息'
                  result.check_in_time:
                    type: object
                    description: '*酒店入住时间* 酒店列表中标示的入住时间'
                  result.hour:
                    type: integer
                    description: '*退房时间*'
                  result.minute:
                    type: integer
                    description: '*退房分钟*'
                  result.check_out_time:
                    type: object
                    description: '*酒店退房时间* 酒店信息中标示的退房时间'
                  result.full_address:
                    type: string
                    description: '*酒店完整地址* 以标准化格式表示的酒店地址'
                  result.domain:
                    type: string
                    description: '*第三方域名* 提供定价信息的第三方网站页面的域名'
                  result.url:
                    type: string
                    description: '*价格优惠的 url* 显示价格优惠的网站页面 URL'
                  result.amenities:
                    type: array
                    items:
                      type: string
                    description: '*酒店设施* 酒店设施相关信息'
                  result.category:
                    type: string
                    description: '*标准化设施类别*'
                  result.category_label:
                    type: string
                    description: '*类别标签*'
                  result.items:
                    type: array
                    items:
                      type: string
                    description: '*项目数组* 包含第三方网站定价详情的数组；可能的项目类型：`hotel_info_price`'
                  result.amenity:
                    type: string
                    description: '*标准化设施名称*'
                  result.amenity_label:
                    type: string
                    description: '*显示的便利设施名称*'
                  result.hint:
                    type: string
                    description: '*关于便利设施的标准化详细信息*'
                  result.hint_label:
                    type: string
                    description: '*显示的设施详情*'
                  result.is_available:
                    type: boolean
                    description: '*表示酒店是否提供 `amenity`*'
                  result.popular_amenities:
                    type: array
                    items:
                      type: string
                    description: '*酒店设施* 被标记为“热门”的酒店设施信息'
                  result.location:
                    type: object
                    description: '*酒店位置信息* 有关酒店所在地理位置的信息'
                  result.neighborhood:
                    type: string
                    description: '*酒店所在街区的名称*'
                  result.neighborhood_description:
                    type: string
                    description: '*酒店所在街区的描述*'
                  result.maps_url:
                    type: string
                    description: '*酒店在 Google 地图中的位置 URL*'
                  result.overall_score:
                    type: number
                    description: >-
                      *酒店位置综合评分*；表示酒店位置的综合评分，范围为 1 到
                      5；根据酒店与附近活动场所和餐厅、交通设施及机场的距离数据计算；请注意，各项标准在综合评分中的权重并不相同
                  result.score_by_categories:
                    type: object
                    description: '*酒店位置的类别评分* 与酒店位置相关的评分，其类别用于表示与附近游乐活动、餐厅、交通设施和机场的距离；'
                  result.overall:
                    type: number
                    description: >-
                      *酒店位置综合评分*；表示酒店位置的综合评分，范围为 1 到
                      5；根据酒店与附近活动场所和餐厅、交通设施及机场的距离数据计算；请注意，各项标准在综合评分中的权重并不相同
                  result.things_to_do:
                    type: number
                    description: '*相对于附近休闲活动的评分* 表示酒店位置的评分，范围为 1 到 5；根据酒店与附近休闲活动地点的距离数据计算得出'
                  result.restaurants:
                    type: number
                    description: '*相对于附近餐厅的评分* 表示酒店位置的评分，范围为 1 到 5；根据酒店与附近餐厅的距离数据计算得出'
                  result.transit:
                    type: number
                    description: '*相对于附近交通选项的评分*表示酒店位置的评分，范围为 1 到 5；根据酒店与附近交通选项的距离数据计算得出'
                  result.airport_access:
                    type: number
                    description: '*相对于附近机场的评分* 表示酒店位置的评分，范围为 1 到 5；根据酒店与附近机场的距离数据计算得出。'
                  result.latitude:
                    type: number
                    description: '*酒店纬度* 酒店所在位置的纬度坐标，示例：`39.4806397`'
                  result.longitude:
                    type: number
                    description: '*酒店经度* 酒店所在位置的纬度坐标，示例：`-106.0512973`'
                  result.location_chain:
                    type: array
                    items:
                      type: string
                    description: '*位置链中的元素* 位置链中每个元素的附加参数'
                  result.card_id:
                    type: string
                    description: '*卡片标识符*'
                  result.feature_id:
                    type: string
                    description: >-
                      *功能标识符*；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.cid:
                    type: string
                    description: >-
                      *client
                      id*；有关此标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.reviews:
                    type: object
                    description: '*按条件分类的酒店评论*，有关酒店实体评论的信息'
                  result.value:
                    type: number
                    description: >-
                      *rating value* 评论中所含评分的值，可选值：`CustomMax` – 1 到 10
                      范围内的值；`Max5` – 1 到 5 范围内的值
                  result.votes_count:
                    type: integer
                    description: '*投票数* 评论中包含的投票数量'
                  result.mentions:
                    type: array
                    items:
                      type: string
                    description: '*酒店提及* 按条件分类的酒店评论信息'
                  result.positive_score:
                    type: number
                    description: '*按标准计算的正向评分*'
                  result.positive_count:
                    type: integer
                    description: '*按标准统计的正面评价数量*'
                  result.negative_count:
                    type: integer
                    description: '*按标准统计的负面评论数量*'
                  result.total_count:
                    type: integer
                    description: '*按标准统计的所有评论数量*'
                  result.visible_by_default:
                    type: boolean
                    description: '*元素默认可见* 表示评论元素默认是否可见'
                  result.rating_distribution:
                    type: object
                    description: '*按投票数划分的评分分布*，投票在 1 至 5 分范围内各评分中的分布'
                  result.5:
                    type: integer
                    description: '*对五星评分的投票数*'
                  result.4:
                    type: integer
                    description: '*对 4 分评级的投票数*'
                  result.3:
                    type: integer
                    description: '*对 3 分评级的投票数*'
                  result.2:
                    type: integer
                    description: '*对 2 分评级的投票数*'
                  result.1:
                    type: integer
                    description: '*1 分评分的投票数*'
                  result.other_sites_reviews:
                    type: array
                    items:
                      type: string
                    description: '*第三方网站上的评论* 来自第三方网站的评论'
                  result.review_text:
                    type: string
                    description: '*评论文本* 评论的文本'
                  result.rating:
                    type: object
                    description: '*评论中的评分* 有关第三方网站评论中所含评分的信息'
                  result.rating_type:
                    type: string
                    description: '*评分类型* 评论中包含的评分类型，可选值：`CustomMax`、`Max5`'
                  result.rating_max:
                    type: integer
                    description: '*评分最大值* `rating_type` 的最大值'
                  result.overview_images:
                    type: array
                    items:
                      type: string
                    description: '*酒店概览中显示的图片* 包含酒店概览中显示的图片 URL 的数组'
                  result.prices:
                    type: object
                    description: '*酒店实体的定价详情* 包含酒店价格信息'
                  result.price:
                    type: integer
                    description: '*每晚价格* 在特定日期入住酒店的每晚价格'
                  result.price_without_discount:
                    type: integer
                    description: '*未折扣价格* 未应用任何折扣时的酒店每晚住宿价格'
                  result.currency:
                    type: string
                    description: '*价格币种*示例：`USD`'
                  result.discount_text:
                    type: string
                    description: '*折扣文本*'
                  result.check_in:
                    type: string
                    description: >-
                      *入住日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.check_out:
                    type: string
                    description: >-
                      UTC 格式的*退房日期和时间*：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2019-11-15 12:57:46 +00:00`
                  result.visitors:
                    type: integer
                    description: '*访客数量*'
                  result.type:
                    type: string
                    description: '*type = **‘hotel\_info\_price\_offer’***'
                  result.is_paid:
                    type: boolean
                    description: >-
                      *指示是否为付费预订链接* 如果为 `true`，相关 `hotel_info_price` 项为酒店广告；如果为
                      `false`，相关 `hotel_info_price` 项为免费预订链接
                  result.free_cancellation_until:
                    type: string
                    description: >-
                      *可免费取消的截止日期*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；如果所选日期不支持免费取消，则等于 `null`
                  result.offers:
                    type: array
                    items:
                      type: string
                    description: '*特色价格优惠*'
                  result.max_visitors:
                    type: integer
                    description: '*访客人数上限*，价格优惠适用的最大访客人数'
                  result.offer_images:
                    type: array
                    items:
                      type: string
                    description: '*报价图片* 报价中展示的图片 URL'
                  result.prices_by_dates:
                    type: array
                    items:
                      type: string
                    description: '*按日期列出的酒店住宿价格对象数组*'
                  result.check_in_date:
                    type: string
                    description: >-
                      *入住日期*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2025-05-20 12:00:00 +00:00`
                  result.check_out_date:
                    type: string
                    description: >-
                      *退房日期*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：`2025-05-21 12:00:00 +00:00`
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````